Bug 1774813 - Private GCP cluster install fails due to bootstrap node in master instance group
Summary: Private GCP cluster install fails due to bootstrap node in master instance group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Patrick Dillon
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-21 02:29 UTC by Patrick Dillon
Modified: 2020-01-23 11:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:13:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2697 'None' 'closed' 'Bug 1774813: Create a bootstrap instance group in GCP.' 2019-12-04 14:50:14 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:13:36 UTC

Comment 2 Patrick Dillon 2019-11-22 10:47:57 UTC
https://github.com/openshift/installer/pull/2697

Comment 4 Gaoyun Pei 2019-11-25 06:57:11 UTC
Verify this bug with 4.3.0-0.nightly-2019-11-24-183610

Bootstrap node was created in a standalone bootstrap instance group during installation.

Ingress is working as expected.

# oc get service -n openshift-ingress
NAME                      TYPE           CLUSTER-IP      EXTERNAL-IP   PORT(S)                      AGE
router-default            LoadBalancer   172.30.55.234   10.0.32.4     80:30765/TCP,443:31645/TCP   98m
router-internal-default   ClusterIP      172.30.54.145   <none>        80/TCP,443/TCP,1936/TCP      98m

Comment 6 errata-xmlrpc 2020-01-23 11:13:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.